<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: PoolingLayerInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_pooling_layer_info.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">PoolingLayerInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Pooling Layer Information class.  
 <a href="classarm__compute_1_1_pooling_layer_info.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_types_8h_source.xhtml">Types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af9d0ef4ba2c2ce9dc650a064484c4647"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#af9d0ef4ba2c2ce9dc650a064484c4647">PoolingLayerInfo</a> (<a class="el" href="namespacearm__compute.xhtml#a9172da722f0a434e5cc07c0a3c115d93">PoolingType</a> <a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#a7e8311a3a774bceb8efae1d5c8c8aeff">pool_type</a>=<a class="el" href="namespacearm__compute.xhtml#adf2ced65e536375a1c96425d9fced858a26a4b44a837bf97b972628509912b4a5">PoolingType::MAX</a>, unsigned int <a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#acbe58b96aee21ee986689ebd3d2f6a3c">pool_size</a>=2, <a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a> <a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#a3c82dfc72060f59eccf0bd096b81c5d5">pad_stride_info</a>=<a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a>())</td></tr>
<tr class="memdesc:af9d0ef4ba2c2ce9dc650a064484c4647"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <a href="#af9d0ef4ba2c2ce9dc650a064484c4647">More...</a><br /></td></tr>
<tr class="separator:af9d0ef4ba2c2ce9dc650a064484c4647"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e8311a3a774bceb8efae1d5c8c8aeff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacearm__compute.xhtml#a9172da722f0a434e5cc07c0a3c115d93">PoolingType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#a7e8311a3a774bceb8efae1d5c8c8aeff">pool_type</a> () const </td></tr>
<tr class="separator:a7e8311a3a774bceb8efae1d5c8c8aeff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe58b96aee21ee986689ebd3d2f6a3c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#acbe58b96aee21ee986689ebd3d2f6a3c">pool_size</a> () const </td></tr>
<tr class="separator:acbe58b96aee21ee986689ebd3d2f6a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c82dfc72060f59eccf0bd096b81c5d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml#a3c82dfc72060f59eccf0bd096b81c5d5">pad_stride_info</a> () const </td></tr>
<tr class="separator:a3c82dfc72060f59eccf0bd096b81c5d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Pooling Layer Information class. </p>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00401">401</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af9d0ef4ba2c2ce9dc650a064484c4647"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml">PoolingLayerInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#a9172da722f0a434e5cc07c0a3c115d93">PoolingType</a>&#160;</td>
          <td class="paramname"><em>pool_type</em> = <code><a class="el" href="namespacearm__compute.xhtml#adf2ced65e536375a1c96425d9fced858a26a4b44a837bf97b972628509912b4a5">PoolingType::MAX</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>pool_size</em> = <code>2</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a>&#160;</td>
          <td class="paramname"><em>pad_stride_info</em> = <code><a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a>()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">pool_type</td><td>Pooling type <a class="el" href="namespacearm__compute.xhtml#a9172da722f0a434e5cc07c0a3c115d93">PoolingType</a>. Defaults to <a class="el" href="namespacearm__compute.xhtml#adf2ced65e536375a1c96425d9fced858a26a4b44a837bf97b972628509912b4a5">PoolingType::MAX</a> </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pool_size</td><td>(Optional) Pooling size, in elements, across x and y. Defaults to 2. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">pad_stride_info</td><td>(Optional) Padding and stride information <a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a> </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00410">410</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00411"></a><span class="lineno">  411</span>&#160;        : _pool_type(<a class="code" href="classarm__compute_1_1_pooling_layer_info.xhtml#a7e8311a3a774bceb8efae1d5c8c8aeff">pool_type</a>), _pool_size(<a class="code" href="classarm__compute_1_1_pooling_layer_info.xhtml#acbe58b96aee21ee986689ebd3d2f6a3c">pool_size</a>), _pad_stride_info(<a class="code" href="classarm__compute_1_1_pooling_layer_info.xhtml#a3c82dfc72060f59eccf0bd096b81c5d5">pad_stride_info</a>)</div><div class="line"><a name="l00412"></a><span class="lineno">  412</span>&#160;    {</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pooling_layer_info_xhtml_acbe58b96aee21ee986689ebd3d2f6a3c"><div class="ttname"><a href="classarm__compute_1_1_pooling_layer_info.xhtml#acbe58b96aee21ee986689ebd3d2f6a3c">arm_compute::PoolingLayerInfo::pool_size</a></div><div class="ttdeci">unsigned int pool_size() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00418">Types.h:418</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pooling_layer_info_xhtml_a3c82dfc72060f59eccf0bd096b81c5d5"><div class="ttname"><a href="classarm__compute_1_1_pooling_layer_info.xhtml#a3c82dfc72060f59eccf0bd096b81c5d5">arm_compute::PoolingLayerInfo::pad_stride_info</a></div><div class="ttdeci">PadStrideInfo pad_stride_info() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00422">Types.h:422</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pooling_layer_info_xhtml_a7e8311a3a774bceb8efae1d5c8c8aeff"><div class="ttname"><a href="classarm__compute_1_1_pooling_layer_info.xhtml#a7e8311a3a774bceb8efae1d5c8c8aeff">arm_compute::PoolingLayerInfo::pool_type</a></div><div class="ttdeci">PoolingType pool_type() const </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00414">Types.h:414</a></div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3c82dfc72060f59eccf0bd096b81c5d5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pad_stride_info.xhtml">PadStrideInfo</a> pad_stride_info </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00422">422</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;    {</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;        <span class="keywordflow">return</span> _pad_stride_info;</div><div class="line"><a name="l00425"></a><span class="lineno">  425</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="acbe58b96aee21ee986689ebd3d2f6a3c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int pool_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00418">418</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;    {</div><div class="line"><a name="l00420"></a><span class="lineno">  420</span>&#160;        <span class="keywordflow">return</span> _pool_size;</div><div class="line"><a name="l00421"></a><span class="lineno">  421</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a7e8311a3a774bceb8efae1d5c8c8aeff"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacearm__compute.xhtml#a9172da722f0a434e5cc07c0a3c115d93">PoolingType</a> pool_type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="_types_8h_source.xhtml#l00414">414</a> of file <a class="el" href="_types_8h_source.xhtml">Types.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;    {</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;        <span class="keywordflow">return</span> _pool_type;</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;    }</div></div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_types_8h_source.xhtml">Types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_pooling_layer_info.xhtml">PoolingLayerInfo</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
